#include <cstdio>

using std::printf;
using std::putchar;
using std::fopen;
using std::fread;
using std::fclose;

#include "rom.hh"

class ROM ROM;

ROM::ROM()
{
    resize(0x20000);
    FILE*fp = fopen("megaman1.nes", "rb");
    fseek(fp, 0x10, SEEK_SET);
    fread(&operator[](0), 1, size(), fp);
    fclose(fp);
}

ROM::~ROM()
{
    FILE*fp = fopen("tmp.nes", "wb");
    fprintf(fp, "NES%c%c%c!DiskDude!", 26,8,0);
    fwrite(&operator[](0), 1, size(), fp);
    fclose(fp);
}
